# lugins/osg/MatrixTransform.cpp File Reference

`#include <osg/MatrixTransform>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include "Matrix.h"`

Include dependency graph for lugins/osg/MatrixTransform.cpp:

## Functions

bool | MatrixTransform_readLocalData (Object &obj, Input &fr)
bool | MatrixTransform_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_MatrixTransformProxy (new osg::MatrixTransform,"MatrixTransform","Object Node Transform MatrixTransform Group",&MatrixTransform_readLocalData,&MatrixTransform_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_DCSProxy (new osg::MatrixTransform,"DCS","Object Node Group DCS",&MatrixTransform_readLocalData, NULL, DotOsgWrapper::READ_ONLY)

## Function Documentation

bool MatrixTransform_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool MatrixTransform_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_DCSProxy(new osg::MatrixTransform,"DCS","Object Node Group DCS",&MatrixTransform_readLocalData, NULL, DotOsgWrapper::READ_ONLY)

RegisterDotOsgWrapperProxy g_MatrixTransformProxy(new osg::MatrixTransform,"MatrixTransform","Object Node Transform MatrixTransform Group",&MatrixTransform_readLocalData,&MatrixTransform_writeLocalData, DotOsgWrapper::READ_AND_WRITE)